using System;
using System.Web.Mail;

namespace Mail
{
	/// <summary>
	/// ,    .
	/// </summary>
	/// <example>
	/// MailSender mailSender = new MailSender("smtp.someserver.com");
	/// MailMessage message = new MailMessage();
	/// message.From = "from@someserver.com";
	/// message.To = "to@someserver.com";
	/// message.Subject = "subject";
	/// message.Body = "body text";
	/// message.BodyFormat = MailFormat.Text;
	/// mailSender.Send(message);
	/// </example>
	public class MailSender
	{
		private string _server;
		
		/// <summary>
		/// .
		/// </summary>
		/// <param name="server">SMTP .</param>		
		public MailSender(string server)
		{
			this._server = server;			
		}

		/// <summary>
		///  .
		/// </summary>
		/// <param name="message">.</param>
		public void Send(MailMessage message)
		{
			//    .
			SmtpMail.SmtpServer = this._server;
			//  .
			SmtpMail.Send(message);
		}

		/// <summary>
		///    .
		/// </summary>
		/// <param name="message">.</param>
		/// <param name="password"> .</param>
		public void Send(MailMessage message, string password)
		{
			//          ,
			//      .
			message.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate", 1);
			message.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendusername", message.From); 
			message.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendpassword", password);
			//  .
			this.Send(message);
		}
	}
}
